HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostIdentityVerificationSessionsSession

Contains the different functions to run the operation postIdentityVerificationSessionsSession

  • 7 types
  • 4 values
  • Packagestripeapi-3.0.0.0
  • Exports11
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostIdentityVerificationSessionsSession.hs
valuepostIdentityVerificationSessionsSession
  1. :: MonadHTTP m
  2. => Text

    session | Constraints: Maximum length of 5000

  3. -> Maybe PostIdentityVerificationSessionsSessionRequestBody

    The request body to send

  4. -> ClientT m (Response PostIdentityVerificationSessionsSessionResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/identity/verification_sessions/{session}

<p>Updates a VerificationSession object.</p>

<p>When the session status is <code>requires_input</code>, you can use this method to update the verification check and options.</p>

Defines the object schema located at paths./v1/identity/verification_sessions/{session}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/identity/verification_sessions/{session}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.options in the specification.

A set of options for the session’s verification checks.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/identity/verification_sessions/{session}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.options.properties.document.anyOf.properties.allowed_types.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/identity/verification_sessions/{session}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.options.properties.document.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/identity/verification_sessions/{session}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.type in the specification.

The type of verification check to be performed.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postIdentityVerificationSessionsSession.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostIdentityVerificationSessionsSessionResponseError is used.

Instances2Eq, Show